Namespace
library
Image / Tag
nextcloud:14.0-beta-fpm
Content Digest
sha256:e2c63ff7f0eb0bad8dc9155c3db6b07ee44fbae72d2f4610dddde6f012219a74
Details
Created

2018-08-23 18:32:21 UTC

Size

188 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0beta4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:9f3675ed6653666b64ffa6c3dc93755d10c6f906a1cab9f061cdbe09c65323f4 - 11.74% (22.1 MB)

[#001] sha256:373dbc1260a05667efc80f8be05f86f2c8e1ffd318e78ef63c8e46f89a458c23 - 0.0% (225 Bytes)

[#002] sha256:d5043b9e8c05fba62c02a7922de92abc9897582c1d42ef5b54fadd7729ed6724 - 36.29% (68.2 MB)

[#003] sha256:7656a960ed9b5048a41ee9f4e43ba5a1be7cbf598652ea796b7e53d1f8d18c27 - 0.0% (182 Bytes)

[#004] sha256:6729ee82aadccc64b76e1a582ff46a965d27db0f95b0dfdebe27d1e1bd8218c9 - 6.32% (11.9 MB)

[#005] sha256:ec91102855ea67a571d98637829b368b2d4c9ee01c051cfeef3974dfc1ce28a2 - 0.0% (499 Bytes)

[#006] sha256:bc625bb7a41be16973aeb1d4662a237efa701e901ba3f424b675cec0af40e1c4 - 14.87% (27.9 MB)

[#007] sha256:8bc70d09ed0028284abf52b591aeaee8dded292f779f7739b40077a7c057b215 - 0.0% (2.13 KB)

[#008] sha256:e3699c755033bdb3a26d3224f748a3501027f3d77902650d62302b4d73ac9953 - 0.0% (266 Bytes)

[#009] sha256:4dcf331d77f05cde3d02514040ed2fdd5cdf1ded19ac988e6f021b28f028270f - 0.0% (130 Bytes)

[#010] sha256:a953f2c72eb53e0cf1d4cc2bdac6d7802cce2bf06daf3b65d5a2b78074171adf - 0.0% (7.62 KB)

[#011] sha256:6c15d808259f1eb45d37d1fa8cc32189a7df07b95ece6f4f53690f76b87fadf9 - 0.81% (1.52 MB)

[#012] sha256:f03338dda37561389cd286fc3be994ad43c013fc495324274090c96b89152a97 - 2.06% (3.87 MB)

[#013] sha256:1d956eea1925ae9b3671cedeb6309ed2990de7a08fb8f0bd6d891cc4b3ae4a5f - 0.0% (481 Bytes)

[#014] sha256:6022042b90722c8fde7749a6d0e143e39a3bd038cbe4a5a360e2f0de08dbae02 - 27.9% (52.4 MB)

[#015] sha256:fa81a34bc7918f3eb684eb9bc52a9fc3468dffd235af87173bd2bb37de7588dc - 0.0% (999 Bytes)

[#016] sha256:606f695af98bac44bbc13085fca75e7e9cf54db38fd3046caaefdd2461abea15 - 0.0% (784 Bytes)


History
2018-07-17 10:50:00 UTC

/bin/sh -c #(nop) ADD file:14cbcb91de201f648f46b04170dcae29163968a641f94d6ad7c3d77fc707a890 in /

2018-07-17 10:50:03 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 15:47:26 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 15:47:26 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 15:48:13 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 15:48:16 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 15:48:17 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 15:59:54 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 15:59:54 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 15:59:54 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 15:59:55 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 15:59:55 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 11:55:02 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 11:55:02 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 11:55:02 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 11:55:19 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 11:55:19 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 11:59:31 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 11:59:47 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 11:59:48 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 11:59:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 11:59:48 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 11:59:49 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 11:59:49 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 11:59:49 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-23 18:22:33 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-23 18:27:01 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-23 18:27:08 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-23 18:27:08 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-08-23 18:31:18 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0beta4

2018-08-23 18:32:03 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-08-23 18:32:04 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-08-23 18:32:20 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-08-23 18:32:21 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-08-23 18:32:21 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-08-23 05:44:20 UTC

Size

183 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0beta4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:be8881be8156e4068e611fe956aba2b9593ebd953be14fb7feea6d0659aa3abe - 11.73% (21.4 MB)

[#001] sha256:69a25f7e493029f541fc3c7ac66fdffdd5f8c4b9b33346031523d053177bb365 - 0.0% (227 Bytes)

[#002] sha256:65632e89c5f4ef102bcd13b6e86baf954e0b902f688a46961d5ff0a36dddfebe - 35.18% (64.3 MB)

[#003] sha256:cd75fa32da8fd946b82c0447feac1f3c24330594492e3be74a516b18437d5306 - 0.0% (183 Bytes)

[#004] sha256:dc7a9d471b12086935e595efaa7f5d3135a9938165032309335aa28259e9d4f1 - 6.5% (11.9 MB)

[#005] sha256:b9e7e65439896e3e535342752edd4ac3809abf8f70f7feaf70397d70dbb7b824 - 0.0% (499 Bytes)

[#006] sha256:67f757e8b61b2ed0985a439b437d92f41aa762fae33fffd2a15e6e7d9fb8599c - 14.96% (27.3 MB)

[#007] sha256:1245f705c9210dbeeabc1cf94506f0e11f4209df3bbf0833efff1f7cfcbf6c42 - 0.0% (2.13 KB)

[#008] sha256:e03ba0668e215116ff2868a5b51c5852c49f9aa79f6cc97320556fadbe1b1bf9 - 0.0% (266 Bytes)

[#009] sha256:689c03c29f3ae9f3f94a8ea9b690ca4cf65a9f52361ef79fba1e4381953f13a9 - 0.0% (130 Bytes)

[#010] sha256:bc1bea8c357bc4a1e6875c135b0621ea722b7350f71f12ce7306fef30676d70c - 0.0% (7.62 KB)

[#011] sha256:758286ce0737737e530067f08c185101431ef9ae9745b9e2bc2c01ed2b5561f1 - 0.83% (1.52 MB)

[#012] sha256:9a80c9afb05fb1ca4448989b1d7c799048dee7de84300d17c139768e29518e8a - 2.11% (3.86 MB)

[#013] sha256:b6eb8ebc097078ae80b9d5a3acb719362cb1eed3dc8764d5fc8238aeea82c7e6 - 0.0% (477 Bytes)

[#014] sha256:bd719ef1258263d9eeea3d3c862de3367d75813106294a06684ece8c5f663823 - 28.68% (52.4 MB)

[#015] sha256:2ed139567cf53cafd51dd6c9016198d79e41e3ce2b564f8cbd88c73121469ec6 - 0.0% (999 Bytes)

[#016] sha256:308254c50e07451e46d580c118d80c80ed0d03567ab8ab4efe34597192431471 - 0.0% (784 Bytes)


History
2018-07-17 00:28:04 UTC

/bin/sh -c #(nop) ADD file:919939fa022472751b717443eea9f1d7ab5c0723f1f3a6b776d3b83d22bde818 in /

2018-07-17 00:28:04 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 04:49:37 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 04:49:37 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 04:50:16 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 04:50:16 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 04:50:17 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 04:59:01 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 04:59:01 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 04:59:01 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 04:59:02 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 04:59:02 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 00:04:43 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 00:04:43 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 00:04:43 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 00:04:58 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 00:04:59 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 00:08:55 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 00:08:56 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 00:08:57 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 00:08:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 00:08:57 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 00:08:58 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 00:08:58 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 00:08:58 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-23 05:35:28 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-23 05:40:13 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-23 05:40:14 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-23 05:40:15 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-08-23 05:43:21 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0beta4

2018-08-23 05:43:57 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-08-23 05:44:18 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-08-23 05:44:19 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-08-23 05:44:20 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-08-23 05:44:20 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-08-23 12:34:27 UTC

Size

171 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0beta4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:235e2c34c6b727f2b00aae7eed907f84338b4002c487e0caaa123a50334c0810 - 11.83% (20.2 MB)

[#001] sha256:cd628726115d1b85f5fa4da7cce482866282d8d413ca606ea4ceb6d5c78e4f4b - 0.0% (225 Bytes)

[#002] sha256:e6d762076c20a075be84e128e3058c548c89794ff387f3398c1ffff670865359 - 32.11% (54.8 MB)

[#003] sha256:285bc4dc2b6d84e706bd65098634e75f474fe61ef97464d1ef11e6fd51f5cda7 - 0.0% (212 Bytes)

[#004] sha256:386ac4efb4d09419fce93db5364f317940862e79c58b8dd9566e7f536f9e8d0a - 6.96% (11.9 MB)

[#005] sha256:b31e880d44788a05758da26897e5fec4eceb03a61987440d9a1f19013c35c5cc - 0.0% (499 Bytes)

[#006] sha256:8a02f32fbbc9f426e248118d63c81d41bf3f22e3a8d08107a8bc269c0e08c30c - 15.34% (26.2 MB)

[#007] sha256:67ea1ffbb79975be33047fd7aef7480b9377f33d01317cc39890f96e3ecb971d - 0.0% (2.13 KB)

[#008] sha256:289f858e5e7f4870516f53475dbf4e423ce2bb582c4e729ed5b9c5c4d2375715 - 0.0% (266 Bytes)

[#009] sha256:c4c2652c297952568a92d051115d54b551828782f0913fcbf41d98011a6a8c6e - 0.0% (160 Bytes)

[#010] sha256:f97f332c2d64383a50a476ef3af2550fff9b50a4db17072e549eaa05bcea3b33 - 0.0% (7.62 KB)

[#011] sha256:5b7f1022f52b28530185199157b158c249f60f905bff4943c9d6bbb19fe69143 - 0.87% (1.49 MB)

[#012] sha256:9cddcce370dce8db8bcadbb232560c78ff7f94e0d9b2e6ae26b2446fc61cad06 - 2.17% (3.71 MB)

[#013] sha256:f37af52ccc4c3347fd23f443652aec236e7b8342ce0a3088d48297e3b8db95d5 - 0.0% (507 Bytes)

[#014] sha256:92b200a3a5f3c3d95c1c9fc9b36721c45f3e4f994c7389992c9b098f7ec950fd - 30.72% (52.4 MB)

[#015] sha256:5b842b6032d78321816bad62fb05f9ec780e8cd2ab6d7b455c605d1be33ddbb6 - 0.0% (998 Bytes)

[#016] sha256:f7621aff7ebf7baf0b3d3afe90b3534998979fd0388bb9b91b9a59ea7bb35682 - 0.0% (785 Bytes)


History
2018-07-17 08:56:27 UTC

/bin/sh -c #(nop) ADD file:60830ba735048c6cbecbc75b83364ad442e1e5ee691ef74dad4eb07f720f8919 in /

2018-07-17 08:56:29 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 12:11:37 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 12:11:37 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 12:12:07 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 12:12:08 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 12:12:09 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 12:20:07 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 12:20:07 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 12:20:08 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 12:20:08 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 12:20:08 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 09:12:49 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 09:12:49 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 09:12:49 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 09:13:03 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 09:13:03 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 09:16:41 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 09:16:42 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 09:16:43 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 09:16:43 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 09:16:43 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 09:16:44 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 09:16:45 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 09:16:45 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-23 12:26:32 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-23 12:31:33 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-23 12:31:34 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-23 12:31:35 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-08-23 12:33:39 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0beta4

2018-08-23 12:34:24 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-08-23 12:34:25 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-08-23 12:34:27 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-08-23 12:34:27 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-08-23 12:34:27 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-08-23 14:18:55 UTC

Size

164 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0beta4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:e07de503944f9c1ea958f38d01af058a6e01c94d6df8bf8af06ed73fcf57793e - 11.22% (18.4 MB)

[#001] sha256:67d2a0c1d131c19625fceb8248dc96a847893d5f98f01da360c6b39e27bc3ca0 - 0.0% (228 Bytes)

[#002] sha256:271d58948a13adbffe09af81abcb95bcfc955a7c954392052af0f5e92bfdfa31 - 31.18% (51.1 MB)

[#003] sha256:34f3a80a747ed1051b60ee82a50901d727f7b6bf1adef7ee158199fefc295d04 - 0.0% (212 Bytes)

[#004] sha256:1be8bfbe0a8689c52e8ad028cf393ea40c062acfefc2d5ae6944144baffd88e2 - 7.25% (11.9 MB)

[#005] sha256:688c2ae632f104b61b2b86bd11f4291db19f986e3be641493115c2f4b5fd11ab - 0.0% (499 Bytes)

[#006] sha256:2b37dc58ed1e4b5fb66f690250644d11969a1326e72311d6a4e8966e035016ad - 15.35% (25.1 MB)

[#007] sha256:c85d1934769b6e841f74874fe370eda2d90b3fd85181748d6fb6ed8163a5f814 - 0.0% (2.13 KB)

[#008] sha256:0db23d4b788e17038a07244e9dd4f6b46138e17bec6ab550992d517f1278c6df - 0.0% (266 Bytes)

[#009] sha256:b9f4c7e3ce40e2cd2892c39d998c7105109e2ed1ca88db59d1871affeb530f46 - 0.0% (161 Bytes)

[#010] sha256:9e0d70bdce11591a531be0ef661ab8e203f2ecdf8f2d89f0ede8fce6a767c1e2 - 0.0% (7.62 KB)

[#011] sha256:309e7870400af7333b19cd029862ce05d1301230d364fe0079219be029b4d979 - 0.82% (1.34 MB)

[#012] sha256:8ead49caf2e57f54f9e0dacb0984bd79b8f9b4fe0dfaf425aa1e4f52c3ff29df - 2.18% (3.56 MB)

[#013] sha256:e7f8627b058f9a65d0a6ddb60ce23288b9dddf5507f5153f1cb6d7559f7210df - 0.0% (508 Bytes)

[#014] sha256:99a04ea068460a727fa7b250be7e8c233876fa7cf6d654c87c062787c39ee6c9 - 32.0% (52.4 MB)

[#015] sha256:bd7e6647b13c9af06be133702fd6bcde0ab273e93cbe8065218c5e9047bb2e3a - 0.0% (999 Bytes)

[#016] sha256:fab5b29eb639324d492f132fa4724b89ba4c6ee7ad9af2ff56c989c250fa510d - 0.0% (785 Bytes)


History
2018-07-17 12:06:02 UTC

/bin/sh -c #(nop) ADD file:00cfe29a37b88b6eacba9ac7c46483798b55e0aaaa9a4a3cbbd097606fd23268 in /

2018-07-17 12:06:03 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 15:15:13 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 15:15:13 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 15:15:41 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 15:15:42 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 15:15:43 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 15:23:30 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 15:23:31 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 15:23:31 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 15:23:31 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 15:23:32 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 12:22:26 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 12:22:26 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 12:22:27 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 12:22:38 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 12:22:38 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 12:25:52 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 12:25:54 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 12:25:55 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 12:25:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 12:25:56 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 12:25:57 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 12:25:57 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 12:25:57 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-23 14:12:01 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-23 14:16:13 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-23 14:16:18 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-23 14:16:18 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-08-23 14:18:09 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0beta4

2018-08-23 14:18:47 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-08-23 14:18:54 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-08-23 14:18:55 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-08-23 14:18:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-08-23 14:18:55 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-08-23 21:50:22 UTC

Size

170 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0beta4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:74a932489409d8d15db14c8a4a811fb46c7386bb06ea678ff27084d5657eeaaf - 11.41% (19.4 MB)

[#001] sha256:873bd0f2b0da24bb481d8491665955d3176f41a8c3262572051e6fbfc2075c14 - 0.0% (228 Bytes)

[#002] sha256:89e8001003dbe417b7882e436548f10e9fc4bfbfc45d9c22416657a3ab0ce20e - 32.32% (54.9 MB)

[#003] sha256:e276d47e823964f5d049fdc2f13115ee09bb8044a6355809621253a1c52d2adb - 0.0% (184 Bytes)

[#004] sha256:d589d39a3daf531b275c67ff875ecf777e3c86962b2c3199d1f090e2f6c4690e - 6.99% (11.9 MB)

[#005] sha256:bd4a26d265a7d52742156558b0a14b50f743dc50794715ff8d67726e0c2cc508 - 0.0% (501 Bytes)

[#006] sha256:1103d3dc4663016b5534a7bcfd04c8a949e9bacf9d2eea7a2040412b13ab11a9 - 15.4% (26.2 MB)

[#007] sha256:97f96c12d77955622ebe6e3cd28e82ac7c6d9cf22097629d1b1321fdccbf678e - 0.0% (2.13 KB)

[#008] sha256:c0d58ac246fd0548245e1d13642e81b78fa75876d6b795a0fd61fb4d9b0b8c9d - 0.0% (268 Bytes)

[#009] sha256:f3d0924698ad394909a2876d7cd2254bb693887bbf928965239502a36f6de89e - 0.0% (130 Bytes)

[#010] sha256:2c5133cc0e11ed9d74cbf4767f976cb94a4a9b05759ec05240d47a2fa0ec1275 - 0.0% (7.62 KB)

[#011] sha256:a8a6bb13643b1af6952718727d08cd3794a455a05b960812a5e6dee5472855a8 - 0.84% (1.43 MB)

[#012] sha256:c1d00e5a31d0452b4bbb731c9278bf36bfa2d8474e2b7d0c9572211a9dc0050c - 2.18% (3.71 MB)

[#013] sha256:ec53853159eea1c10f12dbf0cc6a0696520873616dc131e35969837706878ff5 - 0.0% (479 Bytes)

[#014] sha256:f730f29c7e0d3cdfd1857bfbf06ea553dffb19cea7bd6bf875f9f7567bd4745b - 30.84% (52.4 MB)

[#015] sha256:f9a6a96137a276e178eaa0e31107291616b028ffeda3cecb7e67d626c0b08d5b - 0.0% (999 Bytes)

[#016] sha256:37152f2a3fa835c1c71670e7c6198880f98761437c280ba45369fc3875a9077b - 0.0% (787 Bytes)


History
2018-07-17 08:48:06 UTC

/bin/sh -c #(nop) ADD file:b6ea996ffd5aa4dade8cb1d721c2716614c03110d98683aca206c7ab52fcb9e5 in /

2018-07-17 08:48:07 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 16:03:10 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 16:03:11 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 16:04:26 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 16:04:28 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 16:04:30 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 16:27:23 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 16:27:24 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 16:27:25 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 16:27:26 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 16:27:26 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 11:06:33 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 11:06:34 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 11:06:34 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 11:07:08 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 11:07:09 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 11:16:15 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 11:16:16 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 11:16:18 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 11:16:19 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 11:16:20 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 11:16:22 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 11:16:23 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 11:16:24 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-23 21:37:00 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-23 21:43:49 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-23 21:43:51 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-23 21:43:52 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-08-23 21:48:58 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0beta4

2018-08-23 21:50:01 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-08-23 21:50:19 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-08-23 21:50:20 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-08-23 21:50:21 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-08-23 21:50:22 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-08-23 15:40:29 UTC

Size

178 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0beta4

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:6dc0c10e32a730b4a6b92aaa59148a751864a834dc8ac1b0032717f378efc701 - 12.22% (21.7 MB)

[#001] sha256:6406e7e7e0e209551d2fc5932b81081b7ee5b53d00110a25a43cd6e5cd522c5d - 0.0% (227 Bytes)

[#002] sha256:2e6d2e43cf207ce92c12a360170e3c178401d97fa3bf53b8caaff1a77cd9319b - 33.2% (58.9 MB)

[#003] sha256:1d64e6ea2df855f8cef3825a61c8350f67bc9c7c2b9bf22708698e3dcae919fc - 0.0% (212 Bytes)

[#004] sha256:7e05b30b13de11fc1d0798d90b672ce53b908c68d4546effeb7949ca13351b87 - 6.69% (11.9 MB)

[#005] sha256:c685faa53eb6e4f6507660826026fd3b33d5643d89b54d5ac98e6c8ff94a8f6e - 0.0% (500 Bytes)

[#006] sha256:b39f8139c0aa0f7e0b38f881ecaf363289074cd9e8897abbcdc3209bd47d189b - 15.31% (27.2 MB)

[#007] sha256:821231ea51e85e62d8b297cf15f54ea39c445fe2aaa2db585784204b97ed5a9a - 0.0% (2.13 KB)

[#008] sha256:7ee519f06925e59ed772e5b9fe6143b2b5242e16faf17485191d5334d5fa81e7 - 0.0% (266 Bytes)

[#009] sha256:525603e38be3f378902f253306827dcbcd87c8e01847f19f4632c5521dc3b327 - 0.0% (160 Bytes)

[#010] sha256:8883ba6346dde7c292531f9aaa9851f71809b39b5473a48ae0d613c46547700f - 0.0% (7.62 KB)

[#011] sha256:94663efb28778f4dc406c9d1eb6b97d35c733a849d6c931d0c9d4e366cc42087 - 0.87% (1.54 MB)

[#012] sha256:d401725194381ca01f459554b0a706becbc52a46356def56b0c6db69a3ede2d8 - 2.18% (3.88 MB)

[#013] sha256:d80f24a35e69714d1479518bfa7dd44e16dd2fecd5aef3db0e116304bfb41114 - 0.0% (511 Bytes)

[#014] sha256:ee792d4be68a9415fcba307d3db29705ea6706fe8b621deb4e85e13d4a18e89f - 29.52% (52.4 MB)

[#015] sha256:6b0eb311eef206f053dbb69a75efbf46a45dab7843925a4a97902b1cce30674e - 0.0% (999 Bytes)

[#016] sha256:95e8c7a8f066fe2b3c1d36be98059cb0895d34a7ec34986db4167236d963d8cd - 0.0% (784 Bytes)


History
2018-07-17 08:20:29 UTC

/bin/sh -c #(nop) ADD file:d8fd3ee34d99a5bb7abafecc4f8991a3de0ad779e8fd8f3ebb33a4811ecfd5a5 in /

2018-07-17 08:20:30 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 15:54:19 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 15:54:21 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 15:56:04 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 15:56:08 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 15:56:15 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 16:13:12 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 16:13:18 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 16:13:20 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 16:13:21 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 16:13:24 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 09:56:47 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 09:56:52 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 09:56:54 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 09:58:01 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 09:58:09 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 10:03:14 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 10:03:16 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 10:03:24 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 10:03:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 10:03:26 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 10:03:29 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 10:03:31 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 10:03:32 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-23 15:26:03 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-23 15:31:10 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-23 15:31:12 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-23 15:31:13 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-08-23 15:38:47 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0beta4

2018-08-23 15:40:15 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-08-23 15:40:21 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-08-23 15:40:22 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-08-23 15:40:23 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-08-23 15:40:29 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete